漏洞信息详情

OpenSSL资源管理错误漏洞

  • CNNVD编号:CNNVD-201201-060
  • 危害等级: 中危
  • CVE编号: CVE-2011-4577
  • 漏洞类型: 资源管理错误
  • 发布时间: 2012-01-10
  • 威胁类型: 远程
  • 更新时间: 2019-08-29
  • 厂        商: openssl
  • 漏洞来源:

漏洞简介

OpenSSL是OpenSSL团队开发的一个开源的能够实现安全套接层(SSL v2/v3)和安全传输层(TLS v1)协议的通用加密库,它支持多种加密算法,包括对称密码、哈希算法、安全散列算法等。

OpenSSL 0.9.8s之前版本以及1.0.0f之前的1.x版本中存在漏洞。当RFC 3779支持开启的时候,远程攻击者可以借助含有与(1) IP地址块或(2) Autonomous System (AS)标识符有关的扩展数据的X.509证书,导致拒绝服务(断言失败)。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

http://www.openssl.org/source/

参考网址

来源:support.lenovo.com

链接:https://support.lenovo.com/us/en/solutions/LEN-24443

漏洞信息快速查询

相关漏洞

更多